dh.h File Reference

Classes for Diffie-Hellman key exchange. More...

Go to the source code of this file.

## Classes

class | DH_Domain< GROUP_PARAMETERS, COFACTOR_OPTION >
| Diffie-Hellman domain. More...

## Typedefs

typedef DH_Domain< DL_GroupParameters_GFP_DefaultSafePrime > | DH
| Diffie-Hellman in GF(p) with key validation

## Detailed Description

Classes for Diffie-Hellman key exchange.

Definition in file dh.h.